Please merge nginx 1.6.2-4 (main) from Debian Unstable (main)

Bug #1388621 reported by Thomas Ward on 2014-11-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nginx (Ubuntu)
Wishlist
Unassigned

Bug Description

Debian Unstable has nginx 1.6.2-4, which differs from the version in Vivid currently because some of the included modules have been updated, and configurations have been changed. As well, the nginx-naxsi packages have all been dropped from Debian and should be done here as well.

Attached is a debdiff for this merge, which hopefully will work. (I created it using the UDD method of merging, built the package, and ran a debdiff command to generate the diff.) Note that this is my first merge that I think will work, so please give me any pointers if you believe it is wrong.

Below are the debian changelog entries since 1.6.2-1ubuntu1.1. Note this does not include the changelog entry I added in the debdiff for the merge.

nginx (1.6.2-4) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/modules/nginx-development-kit:
    + Upgrade v0.2.17-7-g24202b4 -> v0.2.19
  * debian/modules/nginx-echo:
    + Upgrade v0.51 -> v0.56
  * debian/modules/nginx-upload-progress:
    + Upgrade v0.9.0-0-ga788dea -> 0.9.1
  * debian/modules/ngx-fancy-index:
    + Upgrade v0.3.3 -> v0.3.4
  * debian/copyright:
    + Rewrite copyright file fixing various issues.
  * debian/nginx-common.nginx.logrotate:
    + Switch postrotate to the initscript's rotate command.

 -- Christos Trochalakis <email address hidden> Sun, 19 Oct 2014 08:23:33 +0300

nginx (1.6.2-3) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Change the default document root to /var/www/html according to debian
    policy 3.9.6.0. (Closes: #730382)
  * Provide a new, debian specific, default landing page.
  * debian/nginx-common.nginx.service:
    + Graceful stopping of nginx was not handled correctly with systemd.
  * debian/nginx-common.nginx.init:
    + Gracefully stop nginx by default, we are switcing to a configurable
      STOP/5/TERM/5/KILL/5 schedule. We are now in sync with the systemd
      service file. (Closes: #762708)
  * debian/conf:
    + Introduce a `snippets/fastcgi-php.conf` snippet with a basic
      php configuration that can be included when needed. (Closes: #762491)
    + Introduce a `snippets/snakeoil.conf` snippet that enabled https
      using the certs installed by the ssl-cert package.
    + Suggest disabling SSLv3 in default site with a ref to POODLE.
  * debian/control:
    + nginx-common now suggests ssl-cert.

 -- Christos Trochalakis <email address hidden> Thu, 16 Oct 2014 13:34:29 +0300

nginx (1.6.2-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Drop nginx-naxsi, nginx-naxsi-dbg, nginx-naxsi-ui packages.
    (Closes: #746199, #737146, #712445)
  * debian/conf/nginx.conf:
    + Remove relic passenger stanga.

 -- Christos Trochalakis <email address hidden> Fri, 26 Sep 2014 11:06:47 +0300

Thomas Ward (teward) on 2014-11-02
Changed in nginx (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed
Robie Basak (racb) wrote :

> * Provide a new, debian specific, default landing page.

Does this need making into an Ubuntu-specific page like in bug 1288690?

Thomas Ward (teward) wrote :

Doh, missed that first time round, that's what I get for working while tired.

We should probably change it so it's Ubuntu specific, yes, as we already change the versioning to have Ubuntu branding.

I'll redo the debdiffs this afternoon with such a change.

Thomas Ward (teward) wrote :

Debdiffs updated.

I also caught a lingering reference to nginx-naxsi in the debian/control file and removed that reference. Apparently it didn't get caught by the merge tool, and I didn't see it first time round.

Marc Deslauriers (mdeslaur) wrote :

ACK o the debdiff in comment #7. I added a couple of small changes:

I added the following back to debian/changelog:
    - debian/tests/control: add nginx-core test.
    - debian/control: drop luajit from Build-Depends as it is in universe.

I also changed another reference to Debian in debian/index.html.

Thanks!

Changed in nginx (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nginx - 1.6.2-4ubuntu1

---------------
nginx (1.6.2-4ubuntu1) vivid; urgency=medium

  * Merge from Debian. Remaining changes: (LP: #1388621)
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding
      (refreshed).
    - debian/rules: Drop from -O3 to -O2 to work around a build failure.
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/control: drop luajit from Build-Depends as it is in universe.
  * debian/control:
    * Remove nginx-naxsi* from nginx-core and related
      package stanzas, as the naxsi packages have all been dropped.
    * Remove reference to nginx-naxsi from nginx metapackage description
  * debian/index.html: Modify included index.html file to have Ubuntu
    branding, Ubuntu bug reporting tool references, and a link to the
    Launchpad bugs page for the nginx package.

nginx (1.6.2-4) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/modules/nginx-development-kit:
    + Upgrade v0.2.17-7-g24202b4 -> v0.2.19
  * debian/modules/nginx-echo:
    + Upgrade v0.51 -> v0.56
  * debian/modules/nginx-upload-progress:
    + Upgrade v0.9.0-0-ga788dea -> 0.9.1
  * debian/modules/ngx-fancy-index:
    + Upgrade v0.3.3 -> v0.3.4
  * debian/copyright:
    + Rewrite copyright file fixing various issues.
  * debian/nginx-common.nginx.logrotate:
    + Switch postrotate to the initscript's rotate command.

nginx (1.6.2-3) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Change the default document root to /var/www/html according to debian
    policy 3.9.6.0. (Closes: #730382)
  * Provide a new, debian specific, default landing page.
  * debian/nginx-common.nginx.service:
    + Graceful stopping of nginx was not handled correctly with systemd.
  * debian/nginx-common.nginx.init:
    + Gracefully stop nginx by default, we are switcing to a configurable
      STOP/5/TERM/5/KILL/5 schedule. We are now in sync with the systemd
      service file. (Closes: #762708)
  * debian/conf:
    + Introduce a `snippets/fastcgi-php.conf` snippet with a basic
      php configuration that can be included when needed. (Closes: #762491)
    + Introduce a `snippets/snakeoil.conf` snippet that enabled https
      using the certs installed by the ssl-cert package.
    + Suggest disabling SSLv3 in default site with a ref to POODLE.
  * debian/control:
    + nginx-common now suggests ssl-cert.

nginx (1.6.2-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Drop nginx-naxsi, nginx-naxsi-dbg, nginx-naxsi-ui packages.
    (Closes: #746199, #737146, #712445)
  * debian/conf/nginx.conf:
    + Remove relic passenger stanga.
 -- Thomas Ward <email address hidden> Wed, 05 Nov 2014 10:05:07 -0500

Changed in nginx (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers